import 'package:json_annotation/json_annotation.dart';

part 'header_home_model.g.dart';
@JsonSerializable()
class HeaderHomeModel {
  final String? background;
  final String? greeting;
  @JsonKey(name: 'display_point_active')
  final String? displayPointActive;
  @JsonKey(name: 'total_point_active')
  final int? totalPointActive;
  @JsonKey(name: 'total_voucher')
  final int? totalVoucher;

  HeaderHomeModel({
    this.background,
    this.greeting,
    this.displayPointActive,
    this.totalPointActive,
    this.totalVoucher,
  });

  factory HeaderHomeModel.fromJson(Map<String, dynamic> json) =>
      _$HeaderHomeModelFromJson(json);

  Map<String, dynamic> toJson() => _$HeaderHomeModelToJson(this);
}
